Bug 1406169 - [BLOCKED][HE] storage domain showing as master domain role
Summary: [BLOCKED][HE] storage domain showing as master domain role
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core
Version: 4.0.5.5
Hardware: x86_64
OS: Linux
medium
medium with 1 vote vote
Target Milestone: ovirt-4.3.0
: ---
Assignee: Fred Rolland
QA Contact: Nikolai Sednev
URL:
Whiteboard:
Depends On: 1455169
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-19 21:30 UTC by GervaisdeM
Modified: 2018-06-13 12:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-13 12:40:49 UTC
oVirt Team: Storage
rule-engine: ovirt-4.3+


Attachments (Terms of Use)
hosted_engine (master) (31.51 KB, image/png)
2016-12-19 21:30 UTC, GervaisdeM
no flags Details
engine logs from hosted engine (12.90 MB, application/x-gzip)
2017-01-09 21:10 UTC, GervaisdeM
no flags Details

Description GervaisdeM 2016-12-19 21:30:21 UTC
Created attachment 1233587 [details]
hosted_engine (master)

Description of problem:
Somewhere in my upgrades to 4.x of ovirt, my hosted_engine storage domain got set as the master domain.

I have no idea how to reproduce this bug, but can share any logs, etc as needed to help  sort it out.

http://lists.ovirt.org/pipermail/users/2016-December/078196.html

Comment 1 Tal Nisan 2016-12-22 14:08:58 UTC
Targeting to 4.1 for now until we know what's happenning there.
Martin, I've been told you figured out it's somewhere around storage flows, can you share the details?

Comment 2 Martin Sivák 2016-12-22 16:23:06 UTC
Well I just asked Nir to take a look and Nir has some other bug in the same area that looks related.

Comment 3 Fred Rolland 2017-01-09 15:32:05 UTC
Hi,

Can you please provide the engine and vdsm logs ?

Thanks !

Comment 4 GervaisdeM 2017-01-09 21:10:31 UTC
Created attachment 1238902 [details]
engine logs from hosted engine

Comment 5 GervaisdeM 2017-01-09 21:12:24 UTC
I tar/gzip'd the vdsm logs on one of my three hosts and they are 122MB. I will try to sort out when the issue happened and figure out if I can provide less logs that are not so big.

In the mean time, all of my engine.log files have been attached.

Comment 6 GervaisdeM 2017-01-09 21:36:57 UTC
I looked back in my notes and I upgraded from 3.6.7 to 4.0.0 on July 13th. The oldest log files I have on the servers is from July 17th.

I can still provide them if folks want to see them, but the logs that were written during the upgrade process are likely lost. :-(

Let me know what folks want to see and I will do my best to send on.

Comment 7 Yaniv Lavi 2017-02-23 11:26:18 UTC
Moving out all non blocker\exceptions.

Comment 8 Yaniv Lavi 2017-02-23 11:26:34 UTC
Moving out all non blocker\exceptions.

Comment 9 Yaniv Lavi 2018-06-13 12:40:49 UTC
In oVirt 4.2 the HE storage can be master.
Closing.


Note You need to log in before you can comment on or make changes to this bug.